Download it now!
Bug 99030 - FILEOPEN Background not shown in PPTX created with ion template
Summary: FILEOPEN Background not shown in PPTX created with ion template
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: high normal
Assignee: Matus Uzak
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-04-01 14:41 UTC by Buovjaga
Modified: 2019-04-16 12:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2016-04-01 14:41:21 UTC
Open attachment 122177 [details] from bug 97337. There is no blue background.
Works in 5.1.1.3

Problem first observed with:
Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha0+
Build ID: 96c1ae1d8e78ae8b9bd7d4001645cad24d62b720
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on March 25th 2016
Comment 1 raal 2016-04-03 19:36:34 UTC
I can confirm with Version: 5.2.0.0.alpha0+; win7
works with 5.1.1, regression
Comment 2 raal 2016-04-05 08:01:08 UTC
This seems to have begun at the below commit.
Adding Cc: to Matus Uzak; Could you possibly take a look at this one? Thanks

0dd2351ad5126be07112c87933218c3860545ea1 is the first bad commit
commit 0dd2351ad5126be07112c87933218c3860545ea1
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Mar 27 20:36:48 2016 -0700

    source sha:f3d1ac75c4b7fa63022e54a9cbff46ba99535076

    source sha:f3d1ac75c4b7fa63022e54a9cbff46ba99535076

author	Matus Uzak <matus.uzak@gmail.com>	2016-03-08 20:44:21 (GMT)
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2016-03-23 06:49:01 (GMT)
commit	f3d1ac75c4b7fa63022e54a9cbff46ba99535076 (patch)
tree	d327b5f81c4eaf7869d8349274d308ed497f19f7
parent	15b53976e5d119877e53f34b34cee33a5f2883fd (diff)
tdf#93868: PPTX import: Incorrect inheritance of shape fill properties
DrawingML: The useBgFill attribute specifies that the shape fill
should be set to that of the slide background.
Comment 3 Commit Notification 2016-04-29 12:01:27 UTC
Matus Uzak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=554158f7d33742284905ed4953dd09041ea04a5d

tdf#99030: PPTX import: Fixed lost slide background color

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.